CHOWN(8)

NAME
chown - change file owner and group

SYNOPSIS
chown [ -R [-H | -L | -P]] [-dfhv] owner[:group] file ...
chown [ -R [-H | -L | -P]] [-dfhv] :group file ...
chown [ -R [-H | -L | -P]] [-dfhv] - -reference=rfile file ...

DESCRIPTION
chown sets the user ID and/or the group ID of the specified files. Symbolic links named by arguments are silently left unchanged unless -h is used.

The options are as follows:

-H  If the -R option is specified, symbolic links on the command line are followed. (Symbolic links encountered in the tree traversal are not followed.)

-L  If the -R option is specified, all symbolic links are followed.

-P  If the -R option is specified, no symbolic links are followed.

-R  Change the user ID and/or the group ID for the file hierarchies rooted in the files instead of just the files themselves.

-d  Do not attempt to update a file's owner or group or its set-user-id and set-group-id bits if they are all already set to the desired values.

-f  Do not report any failure to change file owner or group, nor modify the exit status to reflect such failures.

-h  If file is a symbolic link, the owner and/or group of the link is changed.

-v  Cause chown to be verbose, showing files as they are processed.

The -H, -L and -P options are ignored unless the -R option is specified. In addition, these options override each other and the command's actions are determined by the last one specified. The default is as if the -P option had been specified.

The -L option cannot be used together with the -h option.

The owner and group operands are both optional, however, one must be specified; alternatively, both the owner and group may be specified using a reference rfile specified using the - -reference argument. If the group operand is specified, it must be preceded by a colon (``:'') character.

The owner may be either a user name or a numeric user ID. The group may be either a group name or a numeric group ID. Since it is valid to have a user or group name that is numeric (and does not have the numeric ID that matches its name) the name lookup is always done first. Preceding an ID with a ``#'' character will force it to be taken as a number.

The ownership of a file may only be altered by a super-user for obvious security reasons.

Unless invoked by the super-user, chown clears the set-user-id and set-group-id bits on a file to prevent accidental or mischievous creation of set-user-id and set-group-id programs.

EXIT STATUS

COMPATIBILITY
Previous versions of the chown utility used the dot (``.'') character to distinguish the group name. This has been changed to be a colon (``:'') character so that user and group names may contain the dot character.

SEE ALSO
chflags(1), chgrp(1), find(1), chown(2), lchown(2), fts(3), symlink(7)

STANDARDS
The chown command is expected to be POSIX 1003.2 compliant.

The -v and -d options and the use of ``#'' to force a numeric lookup are extensions to p1003.2.

HISTORY
A chown utility appeared in AT&T UNIX.